Skip to main content
Create a new Skill Event for an Employee

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Scopes

write

allows modifying resources

Path Parameters

employee_external_id
string<uuid>
required

Unique ID linked to an Employee, consisting of alphanumeric characters, hyphens and underscores. The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.

Required string length: 1 - 100
Pattern: [a-zA-Z0-9_-]+
Example:

"a3903505-eb84-42dc-a79f-5e7b1fe897b7"

Query Parameters

language
enum<string>
required

The language of the input data, which has an impact on the Skill extraction. auto will automatically detect the language used in the provided data.

Available options:
auto,
nl,
fr,
en,
de
Example:

"en"

strict
boolean
default:false

If strict is enabled, entity creation will fail when a Skill Profile cannot be constructed. If strict is set to false, failed Skill Profile creation will still result in entity creation, but the Skill Profile will be empty.

end_active_jobs
boolean
default:false

If enabled, any currently active working history Skill Event (i.e. one without an end_date) for this Employee will be ended automatically when the new Skill Event is created.

Body

application/json

Default structure of a Skill Event.

external_id
string<uuid>
required

The unique Skill Event ID in your system, consisting of alphanumeric characters, hyphens and underscores.

Required string length: 1 - 100
Pattern: [a-zA-Z0-9_-]+
Example:

"a3903505-eb84-42dc-a79f-5e7b1fe897b7"

event_type
enum<string>
required

Type of the Skill Event. Learn more about the Skill Event Types at How it works. GET /skill_event_types lists the types available to your tenant and the content fields each one takes.

Available options:
working_history,
education_history,
resume_document,
learning,
feedback,
goal,
project,
ticket,
merge_request,
certificate,
skill_notes,
skill_profile_feedback,
it_incident,
change_request,
problem_record,
service_request,
hr_case,
support_ticket,
work_task,
employee_recognition,
customer_case,
task,
postmortem,
deal_note,
success_plan,
audit_finding,
work_order,
technical_spec,
technical_documentation,
product_documentation,
planning_document,
process_document,
meeting_notes,
knowledge_article,
performance_review,
publication,
patent
Example:

"working_history"

timestamp
required

The completion date (in IS08601 format) of the Skill Event. From this point on, the Employee is considered to have obtained the Skills of this Event.

Example:

"2025-05-02"

content
working_history · object
required

The content of the Skill Event. Each type of Skill Event has a different content. The content should align with the event_type. Expanding this field shows you the supported Skill Event content bodies.

source
string<free text>

The source system of the Skill Event. This is used to keep track of where Skill Events originate from.

Example:

"employee-archives"

Response

No Content